save as image should remember last user's choice

2010-07-22 10:19 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12961

Description

Currently when the user wants to save the canvas to a file, the obsure BW format is always presented first. The last usr's choice should be

remembered, and|or the most common formats (PNG, JPG) should be listed first

Associated revisions

Revision d6a6d981 - 2010-07-24 05:28 PM - Giuseppe Sucameli

changed wrong key used retrieving from settings the last used image filter, to fix #2901

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13957 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 90cda1e3 - 2010-07-24 05:28 PM - Giuseppe Sucameli

changed wrong key used retrieving from settings the last used image filter, to fix #2901

git-svn-id: http://svn.osgeo.org/qgis/trunk@13957 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-07-24 08:44 AM - Giuseppe Sucameli

- Status changed from Open to In Progress

From commit:90cda1e3 (SVN r13958) save as image should remember the last used filter.

About the formats in the save as image dialog, their order depends on the QImageWriter supported formats.

If we want to see them listed in a different manner we have to reorder them. 

I think the order is not so important if the dialog remember the user's choice.

What your opinion? Do you think we have to change the displayed formats order?

#2 - 2010-07-24 11:38 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from In Progress to Closed
I think this is good enough. Please reopen if necessary.
